<?xml version="1.0" encoding="UTF-8" ?>
<testsuite errors="0" failures="0" hostname="Violet.local" name="com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec" tests="3" time="4.214" timestamp="2013-05-13T19:15:15">
  <properties>
    <property name="junit.run.arg1" value="dummy" />
    <property name="junit.run.arg0" value="dummy" />
    <property name="java.runtime.name" value="Java(TM) SE Runtime Environment" />
    <property name="sun.boot.library.path" value="/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/lib" />
    <property name="java.vm.version" value="23.7-b01" />
    <property name="user.country.format" value="SE" />
    <property name="gopherProxySet" value="false" />
    <property name="java.vm.vendor" value="Oracle Corporation" />
    <property name="java.vendor.url" value="http://java.oracle.com/" />
    <property name="path.separator" value=":" />
    <property name="java.vm.name" value="Java HotSpot(TM) 64-Bit Server VM" />
    <property name="file.encoding.pkg" value="sun.io" />
    <property name="user.country" value="US" />
    <property name="sun.java.launcher" value="SUN_STANDARD" />
    <property name="sun.os.patch.level" value="unknown" />
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />
    <property name="user.dir" value="/Users/johan/projects/jogamp/jogl/make" />
    <property name="java.runtime.version" value="1.7.0_17-b02" />
    <property name="java.awt.graphicsenv" value="sun.awt.CGraphicsEnvironment" />
    <property name="java.endorsed.dirs" value="/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/lib/endorsed" />
    <property name="os.arch" value="x86_64" />
    <property name="java.io.tmpdir" value="/var/folders/xy/6ryv51n16p13zkbj6sxb1pfw0000gn/T/" />
    <property name="line.separator" value="&#xa;" />
    <property name="java.vm.specification.vendor" value="Oracle Corporation" />
    <property name="os.name" value="Mac OS X" />
    <property name="sun.jnu.encoding" value="UTF-8" />
    <property name="java.library.path" value="../../gluegen/build/obj:../build/nativewindow/obj:../build/jogl/obj:../build/newt/obj:../build/test/build/obj" />
    <property name="java.specification.name" value="Java Platform API Specification" />
    <property name="java.class.version" value="51.0" />
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />
    <property name="os.version" value="10.8.3" />
    <property name="http.nonProxyHosts" value="local|*.local|169.254/16|*.169.254/16" />
    <property name="user.home" value="/Users/johan" />
    <property name="user.timezone" value="" />
    <property name="java.awt.printerjob" value="sun.lwawt.macosx.CPrinterJob" />
    <property name="java.specification.version" value="1.7" />
    <property name="file.encoding" value="UTF-8" />
    <property name="user.name" value="johan" />
    <property name="java.class.path" value="../../gluegen/make/lib/junit.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:../../gluegen/build/gluegen-rt.jar:../make/lib/swt/cocoa-macosx-x86_64/swt-debug.jar:../build/jar/jogl-all.jar:../build/jar/jogl-test.jar" />
    <property name="java.vm.specification.version" value="1.7" />
    <property name="sun.arch.data.model" value="64" />
    <property name="java.home" value="/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre" />
    <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec filtertrace=true haltOnError=false haltOnFailure=false showoutput=true outputtoformatters=true logfailedtests=true logtestlistenerevents=true formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,../build/test/results/TEST-com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec.xml" />
    <property name="java.specification.vendor" value="Oracle Corporation" />
    <property name="user.language" value="en" />
    <property name="user.language.format" value="sv" />
    <property name="awt.toolkit" value="sun.lwawt.macosx.LWCToolkit" />
    <property name="java.vm.info" value="mixed mode" />
    <property name="jnlp.no.jvm.data.model.set" value="true" />
    <property name="java.version" value="1.7.0_17" />
    <property name="java.ext.dirs" value="/Users/johan/Library/Java/Extensions:/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/lib/ext:/Library/Java/Extensions:/Network/Library/Java/Extensions:/System/Library/Java/Extensions:/usr/lib/java" />
    <property name="sun.boot.class.path" value="/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/lib/resources.jar:/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/lib/rt.jar:/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/lib/sunrsasign.jar:/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/lib/jsse.jar:/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/lib/jce.jar:/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/lib/charsets.jar:/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/lib/jfr.jar:/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/lib/JObjC.jar:/Library/Java/JavaVirtualMachines/jdk1.7.0_17.jdk/Contents/Home/jre/classes" />
    <property name="java.vendor" value="Oracle Corporation" />
    <property name="java.awt.headless" value="true" />
    <property name="file.separator" value="/" />
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />
    <property name="sun.cpu.endian" value="little" />
    <property name="sun.io.unicode.encoding" value="UnicodeBig" />
    <property name="socksNonProxyHosts" value="local|*.local|169.254/16|*.169.254/16" />
    <property name="ftp.nonProxyHosts" value="local|*.local|169.254/16|*.169.254/16" />
    <property name="sun.cpu.isalist" value="" />
  </properties>
  <testcase classname="com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec" name="test01JOGLGLCanvas" time="1.464" />
  <testcase classname="com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec" name="test02NewtCanvasSWTSimple" time="0.694" />
  <testcase classname="com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec" name="test02NewtCanvasSWTPreVisible" time="1.974" />
  <system-out><![CDATA[]]></system-out>
  <system-err><![CDATA[Thread-1 - SISock: localhost/127.0.0.1:59999 - started
SLOCK [T main @ 1368472515912 ms +++ localhost/127.0.0.1:59999 - Locked 
++++ UITestCase.setUp: com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec - test01JOGLGLCanvas
SWTAccessor.<init>: GTK Version: 0.0.0
**** Pre Shell Open
Thread[main,5,main] GearsES2.init ...
GearsES2 init on Thread[main,5,main]
Chosen GLCapabilities: GLCaps[rgba 8/8/8/8, opaque, accum-rgba 0/0/0/0, dp/st/ms 16/0/0, dbl, mono  , hw, GLProfile[GL2/GL2.hw], on-scr[.]]
INIT GL IS: jogamp.opengl.gl4.GL4bcImpl
GL_VENDOR: ATI Technologies Inc.
GL_RENDERER: AMD Radeon HD 6770M OpenGL Engine
GL_VERSION: 2.1 ATI-1.6.37
GL GLSL: true, has-compiler-func: true, version 1.20, 1.20.0
GL FBO: basic true, full true
GL Profile: GLProfile[GL2/GL2.hw]
GL Renderer Quirks:[NoOffscreenBitmap]
GL:jogamp.opengl.gl4.GL4bcImpl@58135915, 2.1 (hardware) - 2.1 ATI-1.6.37
gear1 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@47eef001
gear2 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@17cef68c
gear3 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@149c6d8a
Thread[main,5,main] GearsES2.init FIN
Thread[main,5,main] GearsES2.reshape 0/0 400x428, swapInterval 1, drawable 0x7fc0e3c64570
Thread[main,5,main] GearsES2.display 400x428, swapInterval 1, drawable 0x7fc0e3c64570
**** Post Shell Open
[A-0 shallStop false]
[SWT A-i shallStop false]: Counter[loc 1, glob: 1]
[SWT A-i shallStop false]: Counter[loc 2, glob: 2]
[SWT A-i shallStop false]: Counter[loc 3, glob: 3]
[SWT A-i shallStop false]: Counter[loc 4, glob: 4]
[SWT A-i shallStop false]: Counter[loc 5, glob: 5]
[SWT A-i shallStop false]: Counter[loc 6, glob: 6]
[SWT A-i shallStop false]: Counter[loc 7, glob: 7]
[SWT A-i shallStop false]: Counter[loc 8, glob: 8]
[SWT A-i shallStop false]: Counter[loc 9, glob: 9]
[SWT A-i shallStop false]: Counter[loc 10, glob: 10]
*R-Exit* shallStop true
Thread[main,5,main] GearsES2.dispose ... 
Thread[main,5,main] GearsES2.dispose FIN
EDT Counter before exit: SWT 10, NEWT 0
++++ UITestCase.tearDown: com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec - test01JOGLGLCanvas
++++ UITestCase.setUp: com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec - test02NewtCanvasSWTSimple
**** Pre Shell Open
Thread[main,5,main] GearsES2.init ...
GearsES2 init on Thread[main,5,main]
Chosen GLCapabilities: GLCaps[rgba 8/8/8/8, opaque, accum-rgba 0/0/0/0, dp/st/ms 16/0/0, dbl, mono  , hw, GLProfile[GL2/GL2.hw], on-scr[.]]
INIT GL IS: jogamp.opengl.gl4.GL4bcImpl
GL_VENDOR: ATI Technologies Inc.
GL_RENDERER: AMD Radeon HD 6770M OpenGL Engine
GL_VERSION: 2.1 ATI-1.6.37
GL GLSL: true, has-compiler-func: true, version 1.20, 1.20.0
GL FBO: basic true, full true
GL Profile: GLProfile[GL2/GL2.hw]
GL Renderer Quirks:[NoOffscreenBitmap]
GL:jogamp.opengl.gl4.GL4bcImpl@2b1188f3, 2.1 (hardware) - 2.1 ATI-1.6.37
gear1 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@41424b9c
gear2 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@6772103c
gear3 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@71880832
Thread[main,5,main] GearsES2.init FIN
Thread[main,5,main] GearsES2.reshape 0/0 400x428, swapInterval 1, drawable 0x7fc0e3c7ce10
Thread[main,5,main] GearsES2.display 400x428, swapInterval 1, drawable 0x7fc0e3c7ce10
Thread[main,5,main] GearsES2.reshape 0/0 400x428, swapInterval 1, drawable 0x7fc0e3c7ce10
Thread[main,5,main] GearsES2.display 400x428, swapInterval 1, drawable 0x7fc0e3c7ce10
Thread[main,5,main] GearsES2.display 400x428, swapInterval 1, drawable 0x7fc0e3c7ce10
**** Post Shell Open
[A-0 shallStop false]
[SWT A-i shallStop false]: Counter[loc 1, glob: 1]
[NEWT A-i shallStop false]: Counter[loc 1, glob: 1]
[SWT A-i shallStop false]: Counter[loc 2, glob: 2]
[NEWT A-i shallStop false]: Counter[loc 2, glob: 2]
[SWT A-i shallStop false]: Counter[loc 3, glob: 3]
[NEWT A-i shallStop false]: Counter[loc 3, glob: 3]
[SWT A-i shallStop false]: Counter[loc 4, glob: 4]
[NEWT A-i shallStop false]: Counter[loc 4, glob: 4]
[SWT A-i shallStop false]: Counter[loc 5, glob: 5]
[NEWT A-i shallStop false]: Counter[loc 5, glob: 5]
[SWT A-i shallStop false]: Counter[loc 6, glob: 6]
[NEWT A-i shallStop false]: Counter[loc 6, glob: 6]
[SWT A-i shallStop false]: Counter[loc 7, glob: 7]
[NEWT A-i shallStop false]: Counter[loc 7, glob: 7]
[SWT A-i shallStop false]: Counter[loc 8, glob: 8]
[NEWT A-i shallStop false]: Counter[loc 8, glob: 8]
[SWT A-i shallStop false]: Counter[loc 9, glob: 9]
[NEWT A-i shallStop false]: Counter[loc 9, glob: 9]
[SWT A-i shallStop false]: Counter[loc 10, glob: 10]
[NEWT A-i shallStop false]: Counter[loc 10, glob: 10]
*R-Exit* shallStop true
Thread[main,5,main] GearsES2.dispose ... 
Thread[main,5,main] GearsES2.dispose FIN
EDT Counter before exit: SWT 10, NEWT 10
++++ UITestCase.tearDown: com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec - test02NewtCanvasSWTSimple
++++ UITestCase.setUp: com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec - test02NewtCanvasSWTPreVisible
Thread[main,5,main] GearsES2.init ...
GearsES2 init on Thread[main,5,main]
Chosen GLCapabilities: GLCaps[rgba 8/8/8/8, opaque, accum-rgba 0/0/0/0, dp/st/ms 16/0/0, dbl, mono  , hw, GLProfile[GL2/GL2.hw], on-scr[.]]
INIT GL IS: jogamp.opengl.gl4.GL4bcImpl
GL_VENDOR: ATI Technologies Inc.
GL_RENDERER: AMD Radeon HD 6770M OpenGL Engine
GL_VERSION: 2.1 ATI-1.6.37
GL GLSL: true, has-compiler-func: true, version 1.20, 1.20.0
GL FBO: basic true, full true
GL Profile: GLProfile[GL2/GL2.hw]
GL Renderer Quirks:[NoOffscreenBitmap]
GL:jogamp.opengl.gl4.GL4bcImpl@17db9ab7, 2.1 (hardware) - 2.1 ATI-1.6.37
gear1 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@5eda5064
gear2 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@4ed405e2
gear3 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@41ce60dc
Thread[main,5,main] GearsES2.init FIN
Thread[main,5,main] GearsES2.reshape 0/0 128x128, swapInterval 1, drawable 0x7fc0e3c80090
Thread[main,5,main] GearsES2.display 128x128, swapInterval 1, drawable 0x7fc0e3c80090
**** Pre Shell Open
Thread[main,5,main] GearsES2.reshape 0/0 400x428, swapInterval 1, drawable 0x7fc0e3c80090
Thread[main,5,main] GearsES2.display 400x428, swapInterval 1, drawable 0x7fc0e3c80090
Thread[main,5,main] GearsES2.reshape 0/0 400x428, swapInterval 1, drawable 0x7fc0e3c80090
Thread[main,5,main] GearsES2.display 400x428, swapInterval 1, drawable 0x7fc0e3c80090
Thread[main,5,main] GearsES2.reshape 0/0 400x428, swapInterval 1, drawable 0x7fc0e3c80090
Thread[main,5,main] GearsES2.display 400x428, swapInterval 1, drawable 0x7fc0e3c80090
Thread[main,5,main] GearsES2.display 400x428, swapInterval 1, drawable 0x7fc0e3c80090
**** Post Shell Open
[A-0 shallStop false]
Thread[main,5,main] GearsES2.display 400x428, swapInterval 1, drawable 0x7fc0e3c80090
Thread[main,5,main] GearsES2.display 400x428, swapInterval 1, drawable 0x7fc0e3c80090
[SWT A-i shallStop false]: Counter[loc 1, glob: 1]
[NEWT A-i shallStop false]: Counter[loc 1, glob: 1]
[SWT A-i shallStop false]: Counter[loc 2, glob: 2]
[NEWT A-i shallStop false]: Counter[loc 2, glob: 2]
[SWT A-i shallStop false]: Counter[loc 3, glob: 3]
[NEWT A-i shallStop false]: Counter[loc 3, glob: 3]
[SWT A-i shallStop false]: Counter[loc 4, glob: 4]
[NEWT A-i shallStop false]: Counter[loc 4, glob: 4]
[SWT A-i shallStop false]: Counter[loc 5, glob: 5]
[NEWT A-i shallStop false]: Counter[loc 5, glob: 5]
[SWT A-i shallStop false]: Counter[loc 6, glob: 6]
[NEWT A-i shallStop false]: Counter[loc 6, glob: 6]
[SWT A-i shallStop false]: Counter[loc 7, glob: 7]
[NEWT A-i shallStop false]: Counter[loc 7, glob: 7]
[SWT A-i shallStop false]: Counter[loc 8, glob: 8]
[NEWT A-i shallStop false]: Counter[loc 8, glob: 8]
[SWT A-i shallStop false]: Counter[loc 9, glob: 9]
[NEWT A-i shallStop false]: Counter[loc 9, glob: 9]
[SWT A-i shallStop false]: Counter[loc 10, glob: 10]
[NEWT A-i shallStop false]: Counter[loc 10, glob: 10]
*R-Exit* shallStop true
Thread[main,5,main] GearsES2.dispose ... 
Thread[main,5,main] GearsES2.dispose FIN
EDT Counter before exit: SWT 10, NEWT 10
++++ UITestCase.tearDown: com.jogamp.opengl.test.junit.jogl.swt.TestSWTBug643AsyncExec - test02NewtCanvasSWTPreVisible
SLOCK [T main @ 1368472520074 ms --- localhost/127.0.0.1:59999 - Unlock ok
]]></system-err>
</testsuite>
